Subject: bug#6397: 24.0.50; `make-directory' return value

From: "Drew Adams" <[email-masked]>
Date: Fri, 11 Jun 2010 06:33:17 -0700

> > The doc for `make-directory' doesn't mention its return 
> > value, and the code doesn't seem to do anything special
> > about it.
> 
> There is also a related bug#6363.
>
> > I think it should return non-nil (e.g. the directory name) if the
> > creation succeeds and nil if it fails without error.  And 
> > should be documented.  Or if it always raises an error when it
> > does not create a directory, that's OK too, but that should then
> > be documented.
> 
> What should it return when the creation of some parents succeeds,
> and fails for the rest?

Why do we let that happen? That seems like a bug. Is there some use case for
that? If not, can we fix it, to make the creation all-or-nothing (e.g. delete
any created unless all are)?

If the aim of the function is to create directory /a/lot/of/parents/foo, then
what sense does it make to create only some of the parents?